{"openapi":"3.1.0","info":{"title":"Micro-Integrations","description":"REST API Concepts\nMicro-Integrations provide REST APIs to manage your data and services.\nThe REST APIs allow you to use cloud-managed Micro-Integrations that can connect your external systems (applications, databases, and event brokers) to event broker services.","version":"2.1.0"},"servers":[{"url":"https://api.solace.cloud","description":"Generated server URL."}],"security":[{"APIToken":[]}],"tags":[{"name":"Micro-Integrations"},{"name":"Micro-Integration Types"}],"paths":{"/api/v2/integration/microIntegrations/{id}/deploymentRequests":{"post":{"tags":["Micro-Integrations"],"operationId":"createDeploymentRequest","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeploymentRequestDTO"}}},"required":true},"responses":{"404":{"description":"Not Found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse","additionalProperties":{"default":""},"default":""}}}},"401":{"description":"Unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse","additionalProperties":{"default":""},"default":""}}}},"403":{"description":"Forbidden.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse","additionalProperties":{"default":""},"default":""}}}},"400":{"description":"Bad Request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse","additionalProperties":{"default":""},"default":""}},"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DeploymentRequestResponseDTO"}}}}}}},"/api/v2/integration/transformationFiles":{"get":{"tags":["Micro-Integrations"],"summary":"(Beta) Get a list of uploaded Micro-Integration transformation payloads","description":"Get a list of schema details for uploaded sample payloads used in Micro-Integration transformations.<br><br><a href=\"https://api.solace.dev/cloud/reference/authentication\">Token Permissions</a>: [ <code>micro_integrations:get:*</code> <b>or</b> <code>agentic_ai:get:*</code> ]","operationId":"getGraphSchemas","parameters":[{"name":"pageNumber","in":"query","description":"The page number to retrieve.","required":false,"schema":{"type":"integer","default":1,"minimum":1}},{"name":"pageSize","in":"query","description":"The number of Micro-Integration transformation payloads to return on page.","required":false,"schema":{"type":"integer","default":10,"maximum":100,"minimum":1}}],"responses":{"404":{"description":"Not Found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse","additionalProperties":{"default":""},"default":""}}}},"401":{"description":"Unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse","additionalProperties":{"default":""},"default":""}}}},"403":{"description":"Forbidden.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse","additionalProperties":{"default":""},"default":""}}}},"400":{"description":"Bad Request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse","additionalProperties":{"default":""},"default":""}},"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK.","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TransformationPayloadsResponse"}}}}}},"post":{"tags":["Micro-Integrations"],"summary":"(Beta) Upload a sample payload for use in Micro-Integration transformations","description":"Upload a sample payload to generate a schema used in Micro-Integration transformations. The response from this API includes a unique identifier that can be used when creating or updating a Micro-Integration to specify the uploaded sample as a source or target payload for transformations. Sample data is converted to a data model representation and is not stored in any storage system.<br><br>Supported file types for sample payloads: JSON.<br><br><a href=\"https://api.solace.dev/cloud/reference/authentication\">Token Permissions</a>: [ <code>micro_integrations:*:*</code> <b>or</b> <code>agentic_ai:*:*</code> <b>or</b> <code>standalone_agents:*:*</code> ]","operationId":"uploadTransformationSampleFile","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary","description":"The file to be uploaded for use in Micro-Integration transformations."}},"required":["file"]},"encoding":{"file":{"contentType":"application/octet-stream"}}}}},"responses":{"404":{"description":"Not Found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse","additionalProperties":{"default":""},"default":""}}}},"401":{"description":"Unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse","additionalProperties":{"default":""},"default":""}}}},"403":{"description":"Forbidden.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse","additionalProperties":{"default":""},"default":""}}}},"400":{"description":"Bad Request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse","additionalProperties":{"default":""},"default":""}},"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"201":{"description":"Created.","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TransformationPayloadResponse"}}}}}}},"/api/v2/integration/transformationFiles/{id}":{"get":{"tags":["Micro-Integrations"],"summary":"(Beta) Get an uploaded Micro-Integration transformation payload","description":"Get the processed payload's schema details of an uploaded sample payload using its unique identifier. These payloads are used for Micro-Integration transformations.<br><br><a href=\"https://api.solace.dev/cloud/reference/authentication\">Token Permissions</a>: [ <code>micro_integrations:get:*</code> <b>or</b> <code>agentic_ai:get:*</code> ]","operationId":"getGraphSchema","parameters":[{"name":"id","in":"path","description":"The unique identifier of the uploaded sample payload","required":true,"schema":{"type":"string","default":""}}],"responses":{"404":{"description":"Not Found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse","additionalProperties":{"default":""},"default":""}}}},"401":{"description":"Unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse","additionalProperties":{"default":""},"default":""}}}},"403":{"description":"Forbidden.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse","additionalProperties":{"default":""},"default":""}}}},"400":{"description":"Bad Request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse","additionalProperties":{"default":""},"default":""}},"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK.","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TransformationPayloadResponse"}}}}}}},"/api/v2/integration/microIntegrationTypes":{"get":{"tags":["Micro-Integration Types"],"summary":"(Beta) Get a list of Micro-Integration types","description":"Get a listing of Micro-Integration types that are available in the account that match the specified criteria such as the name, direction, and category.<br><br><a href=\"https://api.solace.dev/cloud/reference/authentication\">Token Permissions</a>: [ <code>micro_integrations:get:*</code> <b>or</b> <code>micro_integration_types:get:*</code> ]","operationId":"getMicroIntegrationTypes","parameters":[{"name":"nameContains","in":"query","description":"<p>The full or partial name of the Micro-Integration types that you can use to filter the query results.\n For example, you can use:</p>\n    <ul>\n        <li><code>IBM</code></li>\n        <li><code>Amazon</code></li><li><code>gcppubsub</code></li><li><code>a</code></li>\n    </ul>\n","required":false,"schema":{"type":"string","default":"","example":"Amazon SNS"}},{"name":"direction","in":"query","description":"<p>The direction specifies whether the Micro-Integration is a source or target that you can use to filter the query results. The directions are:</p><ul><li><code>source</code>-A source Micro-Integration is where data flows from the event broker service through the Micro-Integration to the external system.</li><li><code>target</code>-A target Micro-Integration is where data flows from the external system through the Micro-Integration to the event broker service.</li></ul>","required":false,"schema":{"type":"string","default":"","enum":["source","target","processor"]}},{"name":"category","in":"query","description":"The category, such as <code>Messaging/Eventing</code> that you can use to filter the query results.","required":false,"schema":{"type":"string","default":""}},{"name":"pageNumber","in":"query","description":"The page number to retrieve.","required":false,"schema":{"type":"integer","default":1,"minimum":1}},{"name":"pageSize","in":"query","description":"The number of Micro-Integration types to return per page.","required":false,"schema":{"type":"integer","default":100,"maximum":100,"minimum":1}}],"responses":{"404":{"description":"Not Found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse","additionalProperties":{"default":""},"default":""}}}},"401":{"description":"Unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse","additionalProperties":{"default":""},"default":""}}}},"403":{"description":"Forbidden.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse","additionalProperties":{"default":""},"default":""}}}},"400":{"description":"Bad Request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse","additionalProperties":{"default":""},"default":""}},"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK.","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MicroIntegrationTypesResponse","additionalProperties":{"default":""},"default":""}}}}}}},"/api/v2/integration/microIntegrationTypes/{id}":{"get":{"tags":["Micro-Integration Types"],"summary":"(Beta) Get a Micro-Integration type","description":"Get the details of a specific Micro-Integration type using its unique identifier.<br><br><a href=\"https://api.solace.dev/cloud/reference/authentication\">Token Permissions</a>: [ <code>micro_integrations:get:*</code> <b>or</b> <code>micro_integration_types:get:*</code> ]","operationId":"getMicroIntegrationType_1","parameters":[{"name":"id","in":"path","description":"The unique identifier of the Micro-Integration type, such as <code>awssns-target</code>.","required":true,"schema":{"type":"string","default":""},"example":"awssns-target"}],"responses":{"404":{"description":"Not Found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse","additionalProperties":{"default":""},"default":""}}}},"401":{"description":"Unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse","additionalProperties":{"default":""},"default":""}}}},"403":{"description":"Forbidden.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse","additionalProperties":{"default":""},"default":""}}}},"400":{"description":"Bad Request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse","additionalProperties":{"default":""},"default":""}},"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK.","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MicroIntegrationTypeResponse","additionalProperties":{"default":""},"default":""}}}}}}},"/api/v2/integration/microIntegrationTypes/{id}/templates":{"get":{"tags":["Micro-Integration Types"],"summary":"(Beta) Get a list of Micro-Integration templates","description":"Get a list of Micro-Integration templates. Micro-Integration templates describe how to correctly provide <code>configurationValues</code> when you <a href=\"createmicrointegration\">create</a> or <a href=\"updatemicrointegration\">update</a> a Micro-Integration.<br><br><a href=\"https://api.solace.dev/cloud/reference/authentication\">Token Permissions</a>: [ <code>micro_integrations:get:*</code> ]","operationId":"getMicroIntegrationTemplates_1","parameters":[{"name":"id","in":"path","description":"The unique identifier of the Micro-Integration type, such as <code>awssns-target</code>.","required":true,"schema":{"type":"string","default":""},"example":"awssns-target"}],"responses":{"404":{"description":"Not Found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse","additionalProperties":{"default":""},"default":""}}}},"401":{"description":"Unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse","additionalProperties":{"default":""},"default":""}}}},"403":{"description":"Forbidden.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse","additionalProperties":{"default":""},"default":""}}}},"400":{"description":"Bad Request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse","additionalProperties":{"default":""},"default":""}},"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK.","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MicroIntegrationTemplatesResponse","additionalProperties":{"default":""},"default":""}}}}}}},"/api/v2/integration/microIntegrationTypes/{id}/transformationFunctions":{"get":{"tags":["Micro-Integration Types"],"summary":"(Beta) Get a list of Micro-Integration functions","description":"Get a list of Micro-Integration functions. The list describes the structure and purpose of each available function that is supported by the specified Micro-Integration type. You can specify <code>id</code> of a function as a value for the <code>methodId</code> object in the <code>transformation</code> property when you <a href=\"createmicrointegration\">create</a> or <a href=\"updatemicrointegration\">update</a> a Micro-Integration.<br><br><a href=\"https://api.solace.dev/cloud/reference/authentication\">Token Permissions</a>: [ <code>micro_integrations:get:*</code> ]","operationId":"getMicroIntegrationFunctions","parameters":[{"name":"id","in":"path","description":"The unique identifier of the Micro-Integration type, such as <code>awssns-target</code>.","required":true,"schema":{"type":"string","default":""},"example":"awssns-target"}],"responses":{"404":{"description":"Not Found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse","additionalProperties":{"default":""},"default":""}}}},"401":{"description":"Unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse","additionalProperties":{"default":""},"default":""}}}},"403":{"description":"Forbidden.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse","additionalProperties":{"default":""},"default":""}}}},"400":{"description":"Bad Request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse","additionalProperties":{"default":""},"default":""}},"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK.","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MicroIntegrationFunctionsResponse","additionalProperties":{"default":""},"default":""}}}}}}}},"components":{"schemas":{"ErrorResponse":{"type":"object","default":null,"discriminator":{"propertyName":"errorType"},"properties":{"message":{"type":"string","default":"","description":"A user-friendly message that describes the error.","example":"An error occurred."},"errorId":{"type":"string","default":"","description":"The UUID (Universally Unique Identifier) that is logged with an appropriate stack trace for a WARN or ERROR log that allows support to better determine what cause the error.","example":"123e4567-e89b-12d3-a456-426655440000"},"meta":{"type":"object","additionalProperties":{},"default":"","example":"'object': { 'field': 'description' }"},"validationDetails":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}},"default":"","description":"When applicable, these are the details of issues with the fields provided for the REST call.","example":"'name': ['Not unique']"},"errorType":{"type":"string","writeOnly":true}}},"TransformationNode":{"type":"object","default":null,"description":"The details of a transformation node.","properties":{"solGraphNodeId":{"type":"string","default":"","description":"The unique identifier of the node.","example":"/schema/address","minLength":1},"parentId":{"type":"string","default":"","description":"The unique identifier of the parent node.","example":"/schema"},"fields":{"type":"array","default":"","description":"A list of child nodes nested under the current transformation node.","example":[{"solGraphNodeId":"/schema/address/street","dataType":"string","name":"street","parentId":"/schema/address","nodePath":["address","street"]},{"solGraphNodeId":"/schema/address/city","dataType":"string","name":"city","parentId":"/schema/address","nodePath":["address","city"]},{"solGraphNodeId":"/schema/address/state","dataType":"string","name":"state","parentId":"/schema/address","nodePath":["address","state"]},{"solGraphNodeId":"/schema/address/zip","dataType":"string","name":"zip","parentId":"/schema/address","nodePath":["address","zip"]},{"solGraphNodeId":"/schema/address/country","dataType":"string","name":"country","parentId":"/schema/address","nodePath":["address","country"]}],"items":{}},"required":{"type":"boolean","default":false,"description":"Indicates whether the field is optional. A value of true indicates that the field is required.","example":false},"isTypeUndefined":{"type":"boolean","default":false,"description":"Indicates whether there is valid type for field in the sample payload. A value of true indicates that a field in the payload is `null`, and false indicates that there is valid type.","example":false},"nodePath":{"type":"array","default":"","description":"The property names of the ancestor nodes from the most distant ancestor (root) to the most immediate ancestor (parent).","example":["address"],"items":{"type":"string"}},"dataType":{"type":"string","default":"","description":"The data type of the node.","example":"object"},"name":{"type":"string","default":"","description":"The name of the node.","example":"address"}},"required":["dataType","name","solGraphNodeId"]},"TransformationPayload":{"type":"object","default":null,"description":"The details of an uploaded sample payload.","properties":{"id":{"type":"string","default":"","description":"The unique identifier of the uploaded sample payload.","example":"4f0awkmmtna"},"filename":{"type":"string","default":"","description":"The original filename of the uploaded payload.","example":"audit-log-sample.json"},"state":{"type":"string","default":"","description":"<p>The state of the upload process, each of which are described below:</p><ul><li><code>INPROGRESS</code>-A state that indicates that the sample payload is still being uploaded.</li> <li><code>SUCCEEDED</code>-A state that indicates that the sample payload was uploaded successfully.</li><li><code>FAILED</code>-A state that indicates that the sample payload failed to upload.</li></ul>","enum":["INPROGRESS","SUCCEEDED","FAILED"],"example":"SUCCEEDED"},"characterCount":{"type":"integer","format":"int32","default":"","description":"The total character count of all fields in this transformation payload.","example":1250,"readOnly":true},"fields":{"type":"array","default":"","description":"The resulting nodes of the uploaded sample payload. If the upload is in progress, the fields are empty.","example":[{"solGraphNodeId":"/schema/id","dataType":"string","name":"id","nodePath":["id"]},{"solGraphNodeId":"/schema/name","dataType":"string","name":"name","nodePath":["name"]},{"solGraphNodeId":"/schema/age","dataType":"number","name":"age","nodePath":["age"]},{"solGraphNodeId":"/schema/email","dataType":"string","name":"email","nodePath":["email"]},{"solGraphNodeId":"/schema/address","dataType":"object","name":"address","fields":[{"solGraphNodeId":"/schema/address/street","dataType":"string","name":"street","parentId":"/schema/address","nodePath":["address","street"]},{"solGraphNodeId":"/schema/address/country","dataType":"string","name":"country","parentId":"/schema/address","nodePath":["address","country"]}],"nodePath":["address"]},{"solGraphNodeId":"/schema/isActive","dataType":"boolean","name":"isActive","nodePath":["isActive"]},{"solGraphNodeId":"/schema/roles","dataType":"array","name":"roles","fields":[],"nodePath":["roles"]}],"items":{"$ref":"#/components/schemas/TransformationNode"}}},"required":["filename","id","state"]},"TransformationPayloadResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/TransformationPayload"}}},"DeploymentRequestDTO":{"type":"object","default":null,"description":"Request to create a new deployment","properties":{"state":{"type":"string","default":"","description":"The deployment state to transition to. Use 'deploying' to deploy/redeploy, or 'undeploying' to undeploy.","enum":["deploying","undeploying"],"example":"deploying"},"deploymentSize":{"type":"string","default":"","description":"The deployment size (small, regular, large)","enum":["small","regular","large","UNKNOWN","small","regular","large"],"example":"regular"}},"required":["state"]},"DeploymentRequestResponseDTO":{"type":"object","default":null,"description":"Response containing the created deployment request details","properties":{"deploymentRequestId":{"type":"string","default":"","description":"Unique identifier for the deployment request","example":"dr-abc123"},"microIntegrationId":{"type":"string","default":"","description":"The micro-integration ID being deployed","example":"mi-xyz789"},"action":{"type":"string","default":"","description":"The deployment action","enum":["create","update","upgrade","getStatus","getDetails","rollback","disable","invokeEndpoint"],"example":"CREATE"},"state":{"type":"string","default":"","description":"Current state of the deployment request","enum":["PENDING_QUEUE","QUEUED","PENDING","IN_PROGRESS","RETRYING","COMPLETED","FAILED","TIMEOUT","CANCEL_REQUESTED","CANCELLED","COMPLETED_AFTER_CANCEL"],"example":"PENDING_QUEUE"},"createdAt":{"type":"string","format":"date-time","default":"","description":"When the deployment request was created"},"requestId":{"type":"string","default":"","description":"Correlation ID for tracking","example":"req-abc-123"}}},"MicroIntegrationDeployment":{"type":"object","default":null,"description":"The details of the most recent deployment for the Micro-Integration. This field is included if the <code>includeLatestDeployment</code> query parameter is set to <code>true</code>.","properties":{"createdBy":{"type":"string","default":"","description":"The unique identifier representing the user who created the Micro-Integration.","example":"4f0awkmmtna","readOnly":true},"createdTime":{"type":"string","format":"date-time","default":"","description":"The time that the Micro-Integration was created, in ISO 8601 date/time format.","example":"2023-06-24T15:30:00","readOnly":true},"updatedBy":{"type":"string","default":"","description":"The unique identifier representing the user who last updated the Micro-Integration.","example":"4f0awkmmtna","readOnly":true},"updatedTime":{"type":"string","format":"date-time","default":"","description":"The time of the last update that was performed on the Micro-Integration, in ISO 8601 date/time format.","example":"2023-06-24T15:30:00","readOnly":true},"id":{"type":"string","default":"","description":"The unique identifier of the deployment for the Micro-Integration","example":"4f0awkmmtna","readOnly":true},"action":{"type":"string","default":"","description":"<p>The type of deployment action performed, each of which are described below:</p>\n        <ul>\n        <li><code>create</code> - A new deployment will be created</li>\n        <li><code>update</code>- The existing deployment will be updated.</li>\n        <li><code>disable</code>- The existing deployment will be deleted, but no configuration will be lost.</li>\n        </ul>\n","example":"create","minLength":1,"readOnly":true},"status":{"type":"string","default":"","description":"<p>The current status of the deployment for the Micro-Integration. The following are the valid statuses for the deployment:</p>\n        <ul>\n        <li><code>ACCEPTED</code> - The deployment request was accepted and is in progress.</li>\n        <li><code>REJECTED</code> - The deployment request was rejected by the deployment engine and could not complete.</li>\n        <li><code>COMPLETED</code> - The Micro-Integration deployment was completed successfully.</li>\n        <li><code>FAILED</code> - The Micro-Integration failed to deploy.</li>\n        </ul>\n","example":"COMPLETED","minLength":1,"readOnly":true},"details":{"type":"object","additionalProperties":{},"default":"","description":"The result of the deployment operation.","readOnly":true},"deploymentId":{"type":"string","default":"","description":"The unique identifier of the latest deployment for the Micro-Integration instance. This identifier can be used to make requests for the Micro-Integration's logs and other deployment details.","example":"4f0awkmmtna","readOnly":true},"type":{"type":"string","default":"","description":"The type of object for informational purposes.","example":"microIntegrationDeploymentDetail","readOnly":true}},"required":["action","status"]},"MicroIntegrationFlow":{"type":"object","default":null,"properties":{"createdBy":{"type":"string","default":"","description":"The unique identifier representing the user who created the Micro-Integration.","example":"4f0awkmmtna","readOnly":true},"createdTime":{"type":"string","format":"date-time","default":"","description":"The time that the Micro-Integration was created, in ISO 8601 date/time format.","example":"2023-06-24T15:30:00","readOnly":true},"updatedBy":{"type":"string","default":"","description":"The unique identifier representing the user who last updated the Micro-Integration.","example":"4f0awkmmtna","readOnly":true},"updatedTime":{"type":"string","format":"date-time","default":"","description":"The time of the last update that was performed on the Micro-Integration, in ISO 8601 date/time format.","example":"2023-06-24T15:30:00","readOnly":true},"id":{"type":"string","default":"","description":"The unique identifier of the Micro-Integration Flow.","example":"123abc789","readOnly":true},"microIntegrationId":{"type":"string","default":"","description":"The unique identifier of the Micro-Integration.","example":"123abc789","readOnly":true},"name":{"type":"string","default":"","description":"The name of the Micro-Integration Flow.","example":"My-First-Micro-Integration-Flow"},"description":{"type":"string","default":"","description":"The description of the Micro-Integration Flow.","example":"My first Micro-Integration Flow that consumes events from my external system."},"state":{"type":"string","default":"","description":"<p>The state of the Micro-Integration Flow, each of which are described below:</p><ul><li><code>notdeployed</code>-A Micro-Integration Flow starts in the Not Deployed state when it's first created. In the Not Deployed state, data does not flow between your external system and the event broker service.</li><li><code>deploying</code>-A transient state that indicates that the Micro-Integration Flow is in the process of being deployed.</li><li><code>running</code>-In the Running state, data flows between your external system and the event broker service.</li><li><code>undeploying</code>-A transient state that indicates that the Micro-Integration Flow is in the process of being undeployed.</li><li><code>error</code>-An error condition occurred with the Micro-Integration Flow and recovery is not possible. The reasons for the errors are displayed in the error text.</li><li><code>down</code>-If an error condition occurs with a Micro-Integration Flow and recovery is not possible, the Micro-Integration Flow moves to the Down state. When you view the Micro-Integration Flow, the reasons for the errors are displayed in the error text.</li></ul>","enum":["notdeployed","deploying","running","undeploying","error","down"],"example":"notdeployed"},"configurationValues":{"type":"object","additionalProperties":{},"default":"","description":"<p>The configuration details for the Micro-Integration Flow. For example, the configuration values specified for Amazon SNS is a follows:</p>\n<pre>\n{\n  \"awssns-solace-consumer\": {\n    \"binder\": \"solace\",\n    \"destination\": \"YOUR_SOLACE_SOURCE_QUEUE\"\n  },\n  \"awssns-vendor-producer\": {\n    \"binder\": \"sns\",\n    \"destination\": \"YOUR_SNS_DESTINATION\"\n  }\n}\n</pre>\n","example":{"awssns-solace-consumer":{"binder":"solace","destination":"YOUR_SOLACE_SOURCE_QUEUE"},"awssns-vendor-producer":{"binder":"sns","destination":"YOUR_SNS_DESTINATION"}}},"transformation":{"$ref":"#/components/schemas/MicroIntegrationTransformation"},"type":{"type":"string","default":"","description":"The type of object for informational purposes.","example":"microIntegrationFlow","readOnly":true}}},"MicroIntegrationTransformation":{"type":"object","default":null,"description":"<p>The transformations details for the Micro-Integration.</p>\n<pre>\n{\n  \"sourceFileId\": \"sourceFile1\",\n  \"targetFileId\": \"targetFile1\",\n  \"edges\": [\n    {\n      \"source\": {\n        \"solGraphNodeId\": \"/function/joinString\",\n        \"propertyName\": \"result\"\n      },\n      \"target\": {\n        \"solGraphNodeId\": \"/schema/notes\"\n      }\n    },\n    {\n      \"source\": {\n        \"solGraphNodeId\": \"/constant/ih3nvj\"\n      },\n      \"target\": {\n        \"solGraphNodeId\": \"/function/joinString\",\n        \"propertyName\": \"delimiter\"\n      }\n    },\n    {\n      \"source\": {\n        \"solGraphNodeId\": \"customField/header/cu5kz\"\n      },\n      \"target\": {\n        \"solGraphNodeId\": \"/function/joinString\",\n        \"propertyName\": \"inputs\",\n        \"propertyIndex\": 0\n      }\n    },\n    {\n      \"source\": {\n        \"solGraphNodeId\": \"/schema/additionalNotes\"\n      },\n      \"target\": {\n        \"solGraphNodeId\": \"/function/joinString\",\n        \"propertyName\": \"inputs\",\n        \"propertyIndex\": 1\n      }\n    }\n  ],\n  \"functions\": [\n    {\n      \"solGraphNodeId\": \"/function/joinString\",\n      \"methodId\": \"joinString\",\n      \"returnVariables\": [\n        {\n          \"name\": \"result\",\n          \"dataType\": \"String\"\n        }\n      ]\n    }\n  ],\n  \"customFields\": {\n    \"source\": {\n      \"header\": [\n        {\n          \"solGraphNodeId\": \"customField/header/cu5kz\",\n          \"dataType\": \"string\",\n          \"name\": \"my_solace_header\",\n          \"required\": false,\n          \"nodePath\": [\n            \"my_solace_header\"\n          ]\n        }\n      ]\n    }\n  },\n  \"constants\": [\n    {\n      \"solGraphNodeId\": \"/constant/ih3nvj\",\n      \"dataType\": \"string\",\n      \"constantValue\": \"-\"\n    }\n  ]\n}\n</pre>\n","example":{"sourceFileId":"sourceFile1","targetFileId":"targetFile1","edges":[{"source":{"solGraphNodeId":"/function/joinString","propertyName":"result"},"target":{"solGraphNodeId":"/schema/notes"}},{"source":{"solGraphNodeId":"/constant/ih3nvj"},"target":{"solGraphNodeId":"/function/joinString","propertyName":"delimiter"}},{"source":{"solGraphNodeId":"customField/header/cu5kz"},"target":{"solGraphNodeId":"/function/joinString","propertyName":"inputs","propertyIndex":0}},{"source":{"solGraphNodeId":"/schema/additionalNotes"},"target":{"solGraphNodeId":"/function/joinString","propertyName":"inputs","propertyIndex":1}}],"functions":[{"solGraphNodeId":"/function/joinString","methodId":"joinString","returnVariables":[{"name":"result","dataType":"String"}]}],"customFields":{"source":{"header":[{"solGraphNodeId":"customField/header/cu5kz","dataType":"string","name":"my_solace_header","required":false,"nodePath":["my_solace_header"]}]}},"constants":[{"solGraphNodeId":"/constant/ih3nvj","dataType":"string","constantValue":"-"}]},"properties":{"sourceFileId":{"type":"string","default":"","description":"The unique identifier of the uploaded source sample payload.","example":"4f0awkmmtna"},"targetFileId":{"type":"string","default":"","description":"The unique identifier of the uploaded target sample payload.","example":"4f0awkmmtna"},"updatedPayloadFields":{"$ref":"#/components/schemas/MicroIntegrationTransformationUpdatedFields"},"edges":{"type":"array","default":"","description":"<p>The edge or connection between source and target nodes. Source nodes can be constants, headers, payload fields or transformation\nfunction outputs. Target nodes can be headers, payload fields, smart topics or transformation function inputs.</p>\n<pre>\n[\n    {\n      \"source\": {\n        \"solGraphNodeId\": \"/function/joinString\",\n        \"propertyName\": \"result\"\n      },\n      \"target\": {\n        \"solGraphNodeId\": \"/schema/notes\"\n      }\n    },\n    {\n      \"source\": {\n        \"solGraphNodeId\": \"/constant/ih3nvj\"\n      },\n      \"target\": {\n        \"solGraphNodeId\": \"/function/joinString\",\n        \"propertyName\": \"delimiter\"\n      }\n    },\n    {\n      \"source\": {\n        \"solGraphNodeId\": \"customField/header/cu5kz\"\n      },\n      \"target\": {\n        \"solGraphNodeId\": \"/function/joinString\",\n        \"propertyName\": \"inputs\",\n        \"propertyIndex\": 0\n      }\n    },\n    {\n      \"source\": {\n        \"solGraphNodeId\": \"/schema/additionalNotes\"\n      },\n      \"target\": {\n        \"solGraphNodeId\": \"/function/joinString\",\n        \"propertyName\": \"inputs\",\n        \"propertyIndex\": 1\n      }\n    }\n]\n</pre>\n","example":[{"source":{"solGraphNodeId":"/function/joinString","propertyName":"result"},"target":{"solGraphNodeId":"/schema/notes"}},{"source":{"solGraphNodeId":"/constant/ih3nvj"},"target":{"solGraphNodeId":"/function/joinString","propertyName":"delimiter"}},{"source":{"solGraphNodeId":"customField/header/cu5kz"},"target":{"solGraphNodeId":"/function/joinString","propertyName":"inputs","propertyIndex":0}},{"source":{"solGraphNodeId":"/schema/additionalNotes"},"target":{"solGraphNodeId":"/function/joinString","propertyName":"inputs","propertyIndex":1}}],"items":{"$ref":"#/components/schemas/MicroIntegrationTransformationEdge"}},"functions":{"type":"array","default":"","description":"<p>The list of functions applied within the transformation. Each method contains the method identifier,\n its input parameters, and return variables.</p>\n<pre>\n[\n  {\n    \"solGraphNodeId\": \"/function/joinString\",\n    \"methodId\": \"joinString\",\n    \"returnVariables\": [\n      {\n        \"name\": \"result\",\n        \"dataType\": \"String\"\n      }\n    ]\n  }\n]\n</pre>\n <p><b>New:</b> Inputless functions are also supported. These functions do not require any input parameters.\n        For example, the <code>now()</code> function can be declared as follows:</p>\n<pre>\n        [\n          {\n            \"solGraphNodeId\": \"now\",\n            \"methodId\": \"now\",\n            \"returnVariables\": [\n              {\n                \"name\": \"result\",\n                \"dataType\": \"String\"\n              }\n            ]\n          }\n        ]\n        </pre>\n","example":[{"solGraphNodeId":"/function/joinString","methodId":"joinString","returnVariables":[{"name":"result","dataType":"String"}]}],"items":{"$ref":"#/components/schemas/MicroIntegrationTransformationFunction"}},"customFields":{"$ref":"#/components/schemas/MicroIntegrationTransformationCustomFields"},"constants":{"type":"array","items":{"$ref":"#/components/schemas/MicroIntegrationTransformationConstant"}}}},"MicroIntegrationTransformationConstant":{"type":"object","default":null,"description":"<p>A constant node defined for use within the Micro-Integration's transformations.</p>\n<pre>\n    {\n      \"solGraphNodeId\": \"/constant/ih3nvj\",\n      \"dataType\": \"string\",\n      \"constantValue\": \"-\"\n    }\n</pre>\n","example":{"solGraphNodeId":"/constant/ih3nvj","dataType":"string","constantValue":"-"},"properties":{"solGraphNodeId":{"type":"string","default":"","description":"The unique identifier of the node.","example":"/schema/address","minLength":1},"constantValue":{"default":"","description":"The constant value of the node.","example":"-"},"dataType":{"type":"string","default":"","description":"The data type of the node.","example":"object"}},"required":["constantValue","dataType","solGraphNodeId"]},"MicroIntegrationTransformationCustomFields":{"type":"object","default":null,"description":"<p>A map of source and target custom fields defined for use within the Micro-Integration's transformations.</p>\n<pre>\n    {\n      \"source\": {\n        \"header\": [\n          {\n            \"solGraphNodeId\": \"customField/header/cu5kz\",\n            \"dataType\": \"string\",\n            \"name\": \"my_solace_header\",\n            \"required\": false,\n            \"nodePath\": [\n              \"my_solace_header\"\n            ]\n          }\n        ]\n      }\n    }\n</pre>\n","example":{"source":{"header":[{"solGraphNodeId":"customField/header/cu5kz","dataType":"string","name":"my_solace_header","required":false,"nodePath":["my_solace_header"]}]}},"properties":{"source":{"$ref":"#/components/schemas/MicroIntegrationTransformationCustomFieldsSection","default":"","description":"Custom fields for the source side of the transformation."},"target":{"$ref":"#/components/schemas/MicroIntegrationTransformationCustomFieldsSection","default":"","description":"Custom fields for the target side of the transformation."}}},"MicroIntegrationTransformationCustomFieldsSection":{"type":"object","default":null,"description":"<p>A map of custom header and payload fields used in either the source or target side of the transformation.</p>\n<pre>\n    {\n      \"payload\": [\n        {\n          \"solGraphNodeId\": \"customField/schema/customNameField\",\n          \"name\": \"customNameField\",\n          \"dataType\": \"String\",\n          \"required\": true\n        }\n      ],\n      \"header\": [\n        {\n          \"solGraphNodeId\": \"customField/header/customHeaderField\",\n          \"name\": \"customHeaderField\",\n          \"dataType\": \"String\",\n          \"required\": true\n        }\n      ]\n    }\n</pre>\n","properties":{"payload":{"type":"array","default":"","description":"The list of custom nodes accessible through the message payload.","example":[{"solGraphNodeId":"customField/schema/customNameField","name":"customNameField","dataType":"String","required":true}],"items":{"$ref":"#/components/schemas/TransformationNode"}},"header":{"type":"array","default":"","description":"The list of custom nodes accessible through the message header fields.","example":[{"solGraphNodeId":"customField/header/customHeaderField","name":"customHeaderField","dataType":"String","required":true}],"items":{"$ref":"#/components/schemas/TransformationNode"}}}},"MicroIntegrationTransformationEdge":{"type":"object","default":null,"description":"<p>The edge or connection between source and target nodes. Source nodes can be constants, headers, payload fields or\n transformation function outputs. Target nodes can be headers, payload fields, smart topics or transformation function inputs.</p>\n<pre>\n{\n  \"source\": {\n    \"solGraphNodeId\": \"/function/joinString\",\n    \"propertyName\": \"result\"\n  },\n  \"target\": {\n    \"solGraphNodeId\": \"/schema/notes\"\n  }\n}\n</pre>\n","example":{"source":{"solGraphNodeId":"/function/joinString","propertyName":"result"},"target":{"solGraphNodeId":"/schema/notes"}},"properties":{"source":{"$ref":"#/components/schemas/MicroIntegrationTransformationEdgeNode","default":"","description":"The details of an edge's source node, including its unique identifier, property name, and property index. The property name and property index are optional and are used to identify sub-properties and array indices for array fields and transformation functions with multiple outputs."},"target":{"$ref":"#/components/schemas/MicroIntegrationTransformationEdgeNode","default":"","description":"The details of an edge's target node, including its unique identifier, property name, and property index. The property name and property index are optional and are used to identify sub-properties and array indices for array fields and transformation functions with multiple inputs."}},"required":["source","target"]},"MicroIntegrationTransformationEdgeNode":{"type":"object","default":null,"description":"<p>The details of an edge node, including its unique identifier, property name, and property index.\nThe property name and property index are optional and are used to identify sub-properties and array indices for array fields\n and transformation functions with multiple inputs and outputs. </p>\n <pre>\n    {\n      \"solGraphNodeId\": \"/function/joinString\",\n      \"propertyName\": \"inputs\",\n      \"propertyIndex\": 0\n    }\n </pre>\n","example":{"solGraphNodeId":"/function/joinString","propertyName":"inputs","propertyIndex":0},"properties":{"solGraphNodeId":{"type":"string","default":"","description":"The unique identifier of the node.","example":"/schema/parent","minLength":1},"propertyName":{"type":"string","default":"","description":"The property name of the node, used to identify sub-properties belonging to an array node or a specific input or output of a transformation function.","example":"child"},"propertyIndex":{"type":"integer","format":"int32","default":"","description":"The index of the node to access, used to identify array indices or transformation function input or output indices.","example":1}},"required":["solGraphNodeId"]},"MicroIntegrationTransformationFunction":{"type":"object","default":null,"description":"<p>The function used to transform source data into a different value or format.</p>\n<pre>\n         {\n          \"solGraphNodeId\": \"/function/joinString\",\n          \"methodId\": \"joinString\",\n          \"returnVariables\": [\n            {\n              \"name\": \"result\",\n              \"dataType\": \"String\"\n            }\n          ]\n        }\n</pre>\n","example":{"solGraphNodeId":"/function/joinString","methodId":"joinString","returnVariables":[{"name":"result","dataType":"String"}]},"properties":{"solGraphNodeId":{"type":"string","default":"","description":"The unique identifier of a function.","example":"joinNames","minLength":1},"methodId":{"type":"string","default":"","description":"The unique identifier of the transformation function.","example":"joinString","minLength":1},"returnVariables":{"type":"array","items":{"$ref":"#/components/schemas/MicroIntegrationTransformationFunctionOutput"}}},"required":["methodId","returnVariables","solGraphNodeId"]},"MicroIntegrationTransformationFunctionOutput":{"type":"object","default":null,"description":"<p>The return variable produced by the transformation function.</p>\n<pre>\n{\n  \"name\": \"result\",\n  \"dataType\": \"String\"\n}\n</pre>\n","example":{"name":"result","dataType":"String"},"properties":{"name":{"type":"string","default":"","description":"The name assigned to the return variable.","example":"result","minLength":1}},"required":["name"]},"MicroIntegrationTransformationUpdatedFields":{"type":"object","default":null,"description":"<p>The updated types and optionality of existing payload nodes.</p>\n<pre>\n{\n  \"updatedSourceNodes\": [\n    {\n      \"solGraphNodeId\": \"/source/name\",\n      \"name\": \"name\",\n      \"dataType\": \"string\",\n      \"required\": true\n    }\n  ],\n  \"updatedTargetNodes\": [\n    {\n      \"solGraphNodeId\": \"/source/name\",\n      \"name\": \"name\",\n      \"dataType\": \"string\",\n      \"required\": true\n    }\n  ]\n}\n</pre>\n","example":{"updatedSourceNodes":[{"solGraphNodeId":"/source/name","name":"name","dataType":"string","required":true}],"updatedTargetNodes":[{"solGraphNodeId":"/source/name","name":"name","dataType":"string","required":true}]},"properties":{"updatedSourceNodes":{"type":"array","default":"","description":"Source nodes for which we update the optionality or data types.","items":{"$ref":"#/components/schemas/MicroIntegrationTransformationUpdatedPayloadFields"}},"updatedTargetNodes":{"type":"array","default":"","description":"Target nodes for which we update the optionality or data types.","items":{"$ref":"#/components/schemas/MicroIntegrationTransformationUpdatedPayloadFields"}}}},"MicroIntegrationTransformationUpdatedPayloadFields":{"type":"object","default":null,"description":"<p>The updated types and optionality of existing payload nodes.</p>\n<pre>\n{\n      \"solGraphNodeId\": \"/source/name\",\n      \"dataType\": \"string\",\n      \"required\": true\n}\n</pre>\n","example":{"solGraphNodeId":"/source/name","dataType":"string","required":true},"properties":{"solGraphNodeId":{"type":"string","default":"","description":"The unique identifier of the node.","example":"/schema/address","minLength":1},"required":{"type":"boolean","default":false,"description":"The optionality of the node.","example":false},"dataType":{"type":"string","default":"","description":"The data type of the node.","example":"object"}},"required":["dataType","solGraphNodeId"]},"MicroIntegrationV2":{"type":"object","default":null,"properties":{"createdBy":{"type":"string","default":"","description":"The unique identifier representing the user who created the Micro-Integration.","example":"4f0awkmmtna","readOnly":true},"createdTime":{"type":"string","format":"date-time","default":"","description":"The time that the Micro-Integration was created, in ISO 8601 date/time format.","example":"2023-06-24T15:30:00","readOnly":true},"updatedBy":{"type":"string","default":"","description":"The unique identifier representing the user who last updated the Micro-Integration.","example":"4f0awkmmtna","readOnly":true},"updatedTime":{"type":"string","format":"date-time","default":"","description":"The time of the last update that was performed on the Micro-Integration, in ISO 8601 date/time format.","example":"2023-06-24T15:30:00","readOnly":true},"id":{"type":"string","default":"","description":"The unique identifier of the Micro-Integration.","example":"123abc789","readOnly":true},"environmentId":{"type":"string","default":"","description":"The unique identifier of the environment associated with the Micro-Integration.","example":"456abc789","readOnly":true},"name":{"type":"string","default":"","description":"The name of the Micro-Integration.","example":"My-First-Micro-Integration"},"description":{"type":"string","default":"","description":"The description of the Micro-Integration.","example":"My first Micro-Integration that consumes events from my external system."},"microIntegrationType":{"type":"string","default":"","description":"The type of Micro-Integration. You can determine the types using <a href=\"getmicrointegrationtypes\">Get a list of Micro-Integration types</a>.","example":"awssns"},"direction":{"type":"string","default":"","description":"<p>The direction that data flows through the  Micro-Integration. The directions are:</p><ul><li><code>source</code>-A source Micro-Integration is where data flows from the event broker service through the Micro-Integration to the external system.</li><li><code>target</code>-A target Micro-Integration is where data flows from the  external system through the Micro-Integration to the event broker service.</li></ul>","enum":["source","target","processor"],"example":"target"},"version":{"type":"string","default":"","description":"<p>The version that of the Micro-Integration type being used.</p>","example":"1.0.0"},"state":{"type":"string","default":"","description":"<p>The state of the Micro-Integration, each of which are described below:</p><ul><li><code>notdeployed</code>-A Micro-Integration starts in the Not Deployed state when it's first created. In the Not Deployed state, data does not flow between your external system and the event broker service.</li><li><code>deploying</code>-A transient state that indicates that the Micro-Integration is in the process of being deployed.</li><li><code>running</code>-In the Running state, data flows between your external system and the event broker service.</li><li><code>undeploying</code>-A transient state that indicates that the Micro-Integration is in the process of being undeployed.</li><li><code>error</code>-An error condition occurred with the Micro-Integration and recovery is not possible. The reasons for the errors are displayed in the error text.</li><li><code>down</code>-If an error condition occurs with a Micro-Integration and recovery is not possible, the Micro-Integration moves to the Down state. When you view the Micro-Integration, the reasons for the errors are displayed in the error text.</li></ul>","enum":["notdeployed","deploying","running","undeploying","error","down"],"example":"notdeployed"},"stateLoading":{"type":"boolean","default":false,"description":"<p>Whether or not the state is currently being asynchronously retrieved. A subsequent API call should reflect the updated state.</p>","example":true},"brokerId":{"type":"string","default":"","description":"The unique identifier of the event broker service associated to the Micro-Integration.","example":"broker456"},"lastDeploymentId":{"type":"string","default":"","description":"The most recent deployment id for the Micro-Integration."},"configurationValues":{"type":"object","additionalProperties":{},"default":"","description":"<p>The configuration details for the Micro-Integration. For example, the configuration values specified for Amazon SNS is a follows:</p>\n<pre>\n{\n  \"awssns-vendor\": {\n    \"region\": \"YOUR_AWS_REGION\",\n    \"authentication\": {\n      \"accessKey\": \"YOUR_AWS_ACCESS_KEY\",\n      \"secretKey\": \"YOUR_AWS_SECRET_KEY\"\n    }\n  },\n  \"awssns-solace\": {\n    \"authentication\": {\n      \"host\": \"YOUR_SOLACE_BROKER_HOST_URL\",\n      \"messageVpn\": \"YOUR_SOLACE_BROKER_MESSAGE_VPN\",\n      \"clientPassword\": \"YOUR_SOLACE_BROKER_CLIENT_PASSWORD\",\n      \"clientUsername\": \"YOUR_SOLACE_BROKER_CLIENT_USERNAME\"\n    }\n  }\n}\n</pre>\n","example":{"awssns-vendor":{"region":"YOUR_AWS_REGION","authentication":{"accessKey":"YOUR_AWS_ACCESS_KEY","secretKey":"YOUR_AWS_SECRET_KEY"}},"awssns-solace":{"authentication":{"host":"YOUR_SOLACE_BROKER_HOST_URL","messageVpn":"YOUR_SOLACE_BROKER_MESSAGE_VPN","clientPassword":"YOUR_SOLACE_BROKER_CLIENT_PASSWORD","clientUsername":"YOUR_SOLACE_BROKER_CLIENT_USERNAME"}}}},"deploymentDetails":{"$ref":"#/components/schemas/MicroIntegrationDeployment","default":"","description":"The details of the most recent deployment for the Micro-Integration. This portion of the response that is only included if the <code>'include=deployment'</code> query parameter is set to <code>true</code>."},"flows":{"type":"array","default":"","description":"The list of flows associated with this Micro-Integration.  This portion of the response that is only included if the <code>'include=flows'</code> query parameter is present.","items":{"$ref":"#/components/schemas/MicroIntegrationFlow"}},"type":{"type":"string","default":"","description":"The type of object for informational purposes.","example":"microIntegration","readOnly":true}}},"MicroIntegrationV2Response":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/MicroIntegrationV2"}}},"MicroIntegrationV2CloningConfiguration":{"type":"object","default":null,"description":"The fields to specify to clone a Micro-Integration.","properties":{"name":{"type":"string","default":"","description":"The name of the cloned Micro-Integration.","example":"My-First-Micro-Integration cloned","minLength":1},"description":{"type":"string","default":"","description":"The description of the Micro-Integration.","example":"My First Micro-Integration that consumes events from my external system."},"brokerId":{"type":"string","default":"","description":"The unique identifier of the event broker service associated to the Micro-Integration.","example":"broker456"},"configurationValues":{"type":"object","additionalProperties":{},"default":"","description":"<p>The configuration details for the Micro-Integration. For example, the configuration values specified for Amazon SNS is a follows:</p>\n<pre>\n{\n  \"awssns-vendor\": {\n    \"region\": \"YOUR_AWS_REGION\",\n    \"authentication\": {\n      \"accessKey\": \"YOUR_AWS_ACCESS_KEY\",\n      \"secretKey\": \"YOUR_AWS_SECRET_KEY\"\n    }\n  },\n  \"awssns-solace\": {\n    \"authentication\": {\n      \"host\": \"YOUR_SOLACE_BROKER_HOST_URL\",\n      \"messageVpn\": \"YOUR_SOLACE_BROKER_MESSAGE_VPN\",\n      \"clientPassword\": \"YOUR_SOLACE_BROKER_CLIENT_PASSWORD\",\n      \"clientUsername\": \"YOUR_SOLACE_BROKER_CLIENT_USERNAME\"\n    }\n  }\n}\n</pre>\n","example":{"awssns-vendor":{"region":"YOUR_AWS_REGION","authentication":{"accessKey":"YOUR_AWS_ACCESS_KEY","secretKey":"YOUR_AWS_SECRET_KEY"}},"awssns-solace":{"authentication":{"host":"YOUR_SOLACE_BROKER_HOST_URL","messageVpn":"YOUR_SOLACE_BROKER_MESSAGE_VPN","clientPassword":"YOUR_SOLACE_BROKER_CLIENT_PASSWORD","clientUsername":"YOUR_SOLACE_BROKER_CLIENT_USERNAME"}}}},"triggerDeployment":{"type":"boolean","default":false,"description":"Triggers the deployment of the micro-integration"},"removedFields":{"type":"array","default":"","description":"The list of fields to be removed from the Micro-Integration.","example":["brokerId"],"items":{"type":"string"}}},"required":["name"]},"MicroIntegrationV2CreationConfiguration":{"type":"object","default":null,"description":"The details of the Micro-Integration.","properties":{"name":{"type":"string","default":"","description":"The name of the Micro-Integration.","example":"My-First-Micro-Integration","minLength":1},"environmentId":{"type":"string","default":"","description":"The unique identifier of the environment associated with the Micro-Integration.","example":"ml81qeq69zs"},"description":{"type":"string","default":"","description":"The description of the Micro-Integration.","example":"My First Micro-integration that consumes events from my external system."},"brokerId":{"type":"string","default":"","description":"The unique identifier of the event broker service associated to the Micro-Integration.","example":"abc-broker123"},"microIntegrationType":{"type":"string","default":"","description":"The type of Micro-Integration that can be found by using <a href=\"getmicrointegrationtypes\">Get a list of Micro-Integration types</a>.","example":"awssns","minLength":1},"direction":{"type":"string","default":"","description":"<p>The direction data flows through the  Micro-Integration. The directions are:</p><ul><li><code>source</code>-A source Micro-Integration is where data flows from the event broker service through the Micro-Integration to the external system.</li><li><code>target</code>-A target Micro-Integration is where data flows from the  external system through the Micro-Integration to the event broker service.</li></ul>","enum":["source","target","processor"],"example":"target"},"configurationValues":{"type":"object","additionalProperties":{},"default":"","description":"<p>The configuration details for the Micro-Integration. For example, the configuration values specified for Amazon SNS is a follows:</p>\n<pre>\n{\n  \"awssns-vendor\": {\n    \"region\": \"YOUR_AWS_REGION\",\n    \"authentication\": {\n      \"accessKey\": \"YOUR_AWS_ACCESS_KEY\",\n      \"secretKey\": \"YOUR_AWS_SECRET_KEY\"\n    }\n  },\n  \"awssns-solace\": {\n    \"authentication\": {\n      \"host\": \"YOUR_SOLACE_BROKER_HOST_URL\",\n      \"messageVpn\": \"YOUR_SOLACE_BROKER_MESSAGE_VPN\",\n      \"clientPassword\": \"YOUR_SOLACE_BROKER_CLIENT_PASSWORD\",\n      \"clientUsername\": \"YOUR_SOLACE_BROKER_CLIENT_USERNAME\"\n    }\n  }\n}\n</pre>\n","example":{"awssns-vendor":{"region":"YOUR_AWS_REGION","authentication":{"accessKey":"YOUR_AWS_ACCESS_KEY","secretKey":"YOUR_AWS_SECRET_KEY"}},"awssns-solace":{"authentication":{"host":"YOUR_SOLACE_BROKER_HOST_URL","messageVpn":"YOUR_SOLACE_BROKER_MESSAGE_VPN","clientPassword":"YOUR_SOLACE_BROKER_CLIENT_PASSWORD","clientUsername":"YOUR_SOLACE_BROKER_CLIENT_USERNAME"}}}},"triggerDeployment":{"type":"boolean","default":false,"description":"Triggers the deployment of the micro-integration"}},"required":["configurationValues","direction","microIntegrationType","name"]},"MicroIntegrationV2StateUpdate":{"type":"object","default":null,"properties":{"state":{"type":"string","default":"","description":"<p>The state of an existing Micro-Integration. You can specify the following states:</p>\n<ul><li><code>deploying</code>-Start the deployment of the Micro-Integration. A valid state to set when  \n the Micro-Integration is in <code>undeployed</code> or <code>error</code> state.</li>\n <li><code>undeploying</code>-Start the undeployment of the Micro-Integration. A valid state to set when  \n the Micro-Integration is in the <code>running</code> state.</li></ul>\n","enum":["undeploying","deploying"]}},"required":["state"]},"MicroIntegrationV2UpdateConfiguration":{"type":"object","default":null,"description":"The fields to specify to update a Micro-Integration.","properties":{"name":{"type":"string","default":"","description":"The name of the Micro-Integration.","example":"My-First-Micro-Integration"},"description":{"type":"string","default":"","description":"The description of the Micro-Integration.","example":"My First Micro-Integration that consumes events from my external system."},"brokerId":{"type":"string","default":"","description":"The unique identifier of the event broker service associated to the Micro-Integration.","example":"broker456"},"configurationValues":{"type":"object","additionalProperties":{},"default":"","description":"<p>The configuration details for the Micro-Integration. For example, the configuration values specified for Amazon SNS is a follows:</p>\n<pre>\n{\n  \"awssns-vendor\": {\n    \"region\": \"YOUR_AWS_REGION\",\n    \"authentication\": {\n      \"accessKey\": \"YOUR_AWS_ACCESS_KEY\",\n      \"secretKey\": \"YOUR_AWS_SECRET_KEY\"\n    }\n  },\n  \"awssns-solace\": {\n    \"authentication\": {\n      \"host\": \"YOUR_SOLACE_BROKER_HOST_URL\",\n      \"messageVpn\": \"YOUR_SOLACE_BROKER_MESSAGE_VPN\",\n      \"clientPassword\": \"YOUR_SOLACE_BROKER_CLIENT_PASSWORD\",\n      \"clientUsername\": \"YOUR_SOLACE_BROKER_CLIENT_USERNAME\"\n    }\n  }\n}\n</pre>\n","example":{"awssns-vendor":{"region":"YOUR_AWS_REGION","authentication":{"accessKey":"YOUR_AWS_ACCESS_KEY","secretKey":"YOUR_AWS_SECRET_KEY"}},"awssns-solace":{"authentication":{"host":"YOUR_SOLACE_BROKER_HOST_URL","messageVpn":"YOUR_SOLACE_BROKER_MESSAGE_VPN","clientPassword":"YOUR_SOLACE_BROKER_CLIENT_PASSWORD","clientUsername":"YOUR_SOLACE_BROKER_CLIENT_USERNAME"}}}},"triggerDeployment":{"type":"boolean","default":false,"description":"Triggers the deployment of the micro-integration"},"removedFields":{"type":"array","default":"","description":"The list of fields to be removed from the Micro-Integration.","example":["brokerId"],"items":{"type":"string"}}}},"Pagination":{"type":"object","default":null,"properties":{"pageNumber":{"type":"string","default":"1","description":"The page number to retrieve.","minimum":1},"pageSize":{"type":"string","default":"100","description":"The number of entities to return per page.","maximum":100,"minimum":1},"count":{"type":"string","default":"","description":"The total number of entities that exist, ignoring paging."},"nextPage":{"type":"string","default":"","description":"The next page number that can be queried."},"totalPages":{"type":"string","default":"","description":"The total number of pages that can be queried."}}},"TransformationPayloadsResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/TransformationPayload"}},"meta":{"$ref":"#/components/schemas/meta"}}},"meta":{"type":"object","default":null,"description":"<p>The metadata about the response, which can include:</p>\n<ul>\n<li>Pagination data, such as page number, page size, etc. for GET operations that return large amount of response data. For more information,  \nsee Pagination.</li>\n<li>Timestamp information, such as current time, or the time create or update operation occurred for CREATE, PUT, POST operations.</li>\n</ul>\n","properties":{"pagination":{"$ref":"#/components/schemas/Pagination"}}},"KeyField":{"type":"object","default":null,"description":"The list of key fields that can be found in the Micro-Integration templates associated to this type. These fields can help you to identify necessary information that you must provide.","properties":{"name":{"type":"string","default":"","description":"The name of the key field.","example":"AWS Region","readOnly":true},"templateType":{"type":"string","default":"","description":"The type of Micro-Integration template that this key field can be found within.","example":"vendor","readOnly":true},"path":{"type":"string","default":"","description":"The path in a Micro-Integration's <code>configurationValues</code> property at which the key field's value can be found for the given template type.","example":"region","readOnly":true},"defaultDescription":{"type":"string","default":"","description":"The description or value of the field when no value is provided in the Micro-Integration's <code>configurationValues</code> property.","example":"us/east1","readOnly":true}},"readOnly":true},"MicroIntegrationType":{"type":"object","default":null,"properties":{"id":{"type":"string","default":"","description":"The unique identifier of the Micro-Integration type.","example":"awssns-target","readOnly":true},"name":{"type":"string","default":"","description":"The name of the Micro-Integration type.","example":"Amazon SNS","readOnly":true},"version":{"type":"string","default":"","description":"The version of the Micro-Integration type.","example":"6.0.1","readOnly":true},"description":{"type":"string","default":"","description":"The description of the Micro-Integration type.","example":"The Amazon SNS-Target publishes events from an event broker service to an SNS Topic with message acknowledgement.","readOnly":true},"microIntegrationType":{"type":"string","default":"","description":"The unique identifier of the vendor or system associated with the Micro-Integration type.","example":"awssns","readOnly":true},"integrationHubUrl":{"type":"string","default":"","description":"The Integration Hub URL associated with the Micro-Integration Type. Configuration details, examples, download links, and more information can be found in the Integration Hub.","example":"https://solace.com/integration-hub/aws-sns/","readOnly":true},"category":{"type":"string","default":"","description":"The category that the Micro-Integration type belongs to, such as \"Messaging/Eventing\".","example":"Messaging/Eventing","readOnly":true},"direction":{"type":"string","default":"","description":"<p>The direction specifies the flow of data for the Micro-Integration. The directions are:</p><ul><li><code>source</code>-A source Micro-Integration is where data flows from the event broker service through the Micro-Integration to the external system.</li><li><code>target</code>-A target Micro-Integration is where data flows from the  external system through the Micro-Integration to the event broker service.</li></ul>.","example":"target","readOnly":true},"acceptedVendorContentTypes":{"type":"array","default":"","description":"List of supported vendor payload content-types for this Micro-Integration type. For source types this is derived from sourceContentTypes, for target types from targetContentTypes. Values are API-friendly terms: json and/or xml.","example":["json","xml"],"items":{"type":"string"},"readOnly":true},"keyFields":{"type":"array","default":"","description":"The list of key fields that can be found in the Micro-Integration templates associated to this type. These fields can help you to identify necessary information that you must provide.","items":{"$ref":"#/components/schemas/KeyField"},"readOnly":true},"maximumFlowCountPerDeployment":{"type":"integer","format":"int32","default":"","description":"The maximum number of flows that this Micro-Integration type can support","readOnly":true},"type":{"type":"string","default":"","description":"The type of object for informational purposes.","example":"microIntegrationType","readOnly":true}}},"MicroIntegrationTypeResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/MicroIntegrationType"}}},"MicroIntegrationMetric":{"type":"object","default":null,"properties":{"series":{"type":"array","default":"","description":"A list of time series data points for the metric. Each series contains detailed information about the metric data points, including values, timestamps, and metadata.","items":{"$ref":"#/components/schemas/MicroIntegrationMetricSeries"}},"lastUpdated":{"type":"integer","format":"int64","default":"","description":"The timestamp (in milliseconds since epoch) when the metric data was last updated.","example":1748973901000},"requestedFromTime":{"type":"integer","format":"int64","default":"","description":"The timestamp (in milliseconds since epoch) representing the start of the requested time range for the metric data.","example":1748973301000},"requestedToTime":{"type":"integer","format":"int64","default":"","description":"The timestamp (in milliseconds since epoch) representing the end of the requested time range for the metric data.","example":1748973901000}}},"MicroIntegrationMetricResponse":{"type":"object","default":null,"properties":{"data":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/MicroIntegrationMetric"}}}},"MicroIntegrationMetricSeries":{"type":"object","default":null,"description":"<p>A time series of metrics for a deployed Micro-Integration.</p>\n<pre>\n{\n  \"end\": 1748973629000,\n  \"attributes\": {},\n  \"metric\": \"solace.connector.health\",\n  \"interval\": 10,\n  \"start\": 1748973620000,\n  \"length\": 1,\n  \"lastUpdated\": 1748973901000,\n  \"orgId\": \"your_org_id\",\n  \"advancedMonitoringEnabled\": true,\n  \"queryIndex\": 2,\n  \"aggr\": \"max\",\n  \"scope\": \"deployment_id:your_deployment_id,org_id:your_org_id\",\n  \"pointlist\": [[1748973620000, 503]],\n  \"expression\": \"max:solace.connector.health{deployment_id:your_deployment_id,org_id:your_org_id}.rollup(max, 10)\",\n  \"displayName\": \"solace.connector.health\",\n  \"averageValue\": 503.0,\n  \"eventBrokerServiceStatus\": null,\n  \"timeSinceLastSuccess\": null,\n  \"healthStatus\": \"HEALTHY\",\n  \"latestValue\": 503,\n  \"maxValue\": 503,\n  \"sumValue\": 503\n}\n</pre>\n","properties":{"end":{"type":"integer","format":"int64","default":"","description":"The timestamp (in milliseconds since epoch) representing the end of the time series data.","example":1748973629000},"attributes":{"$ref":"#/components/schemas/MicroIntegrationMetricSeriesAttributes","default":"","description":"Additional attributes associated with the time series data.","example":{}},"metric":{"type":"string","default":"","description":"The name of the metric being measured.","example":"solace.connector.health"},"interval":{"type":"integer","format":"int32","default":"","description":"The time interval (in seconds) between data points in the time series.","example":10},"start":{"type":"integer","format":"int64","default":"","description":"The timestamp (in milliseconds since epoch) representing the start of the time series data.","example":1748973620000},"length":{"type":"integer","format":"int32","default":"","description":"The number of data points in the time series.","example":1},"lastUpdated":{"type":"integer","format":"int64","default":"","description":"The timestamp (in milliseconds since epoch) when the time series data was last updated.","example":1748973901000},"queryIndex":{"type":"integer","format":"int32","default":"","description":"The index of the query that generated this time series data.","example":2},"aggr":{"type":"string","default":"","description":"The aggregation method used for the time series data (e.g., max, min, avg).","example":"max"},"scope":{"type":"string","default":"","description":"The scope or context of the metric, typically containing tags or identifiers.","example":"deployment_id:your_deployment_id,org_id:your_org_id"},"pointlist":{"type":"array","default":"","description":"A list of data points, where each data point is a list containing a timestamp and a value.","example":[[1748973620000,503]],"items":{"type":"array","items":{"type":"integer","format":"int64"}}},"expression":{"type":"string","default":"","description":"The expression used to query the metric data.","example":"max:solace.connector.health{deployment_id:your_deployment_id,org_id:your_org_id}.rollup(max, 10)"},"displayName":{"type":"string","default":"","description":"The human-readable name of the metric for display purposes.","example":"solace.connector.health"},"averageValue":{"type":["number","null"],"format":"double","default":"","description":"The average value of all data points in the time series.","example":503.0},"eventBrokerServiceStatus":{"type":["string","null"],"default":"","description":"The status of the event broker service associated with this metric, if applicable."},"timeSinceLastSuccess":{"type":["integer","null"],"format":"int64","default":"","description":"The time (in milliseconds) since the last successful operation related to this metric, if applicable."},"healthStatus":{"type":"string","default":"","description":"The health status derived from the metric data.","example":"HEALTHY"},"latestValue":{"type":"integer","format":"int64","default":"","description":"The most recent value in the time series data.","example":503},"maxValue":{"type":"integer","format":"int32","default":"","description":"The maximum value in the time series data.","example":503},"sumValue":{"type":"integer","format":"int64","default":"","description":"The sum of all values in the time series data.","example":503}}},"MicroIntegrationMetricSeriesAttributes":{"type":"null","default":null,"description":"Container for additional attributes associated with a metric series. This object may contain custom properties depending on the metric type."},"MicroIntegrationLog":{"type":"object","default":null,"description":"A log created by a deployed Micro-Integration.","properties":{"message":{"type":"string","default":"","description":"The error message text.","example":"Failed to deploy Micro-Integration due to missing configuration."},"timestamp":{"type":"string","default":"","description":"The timestamp when the error occurred in ISO-8601 format.","example":"2025-05-15T20:48:58.096Z"},"attributes":{"$ref":"#/components/schemas/MicroIntegrationLogDetail","default":"","description":"Attributes which provide detailed information about the log, such as the component, logger name, and stack trace."}}},"MicroIntegrationLogContainerMicroIntegrationLog":{"type":"object","default":null,"properties":{"attributes":{"$ref":"#/components/schemas/MicroIntegrationLog","default":"","description":"The attributes of the log entry, such as the log message, timestamp, and additional metadata."}}},"MicroIntegrationLogDetail":{"type":"object","default":null,"description":"<p>Detailed attributes of a Micro-Integration log message.</p>\n<pre>\n{\n  \"component\": \"maas-micro-integration\",\n  \"loggerName\": \"com.MicroIntegrationLogger\",\n  \"stackTrace\": \"org.springframework.beans.factory.BeanCreationNotAllowedException: Error creating bean\"\n}\n</pre>\n","example":{"component":"maas-micro-integration","loggerName":"com.MicroIntegrationLogger","stackTrace":"org.springframework.beans.factory.BeanCreationNotAllowedException: Error creating bean"},"properties":{"component":{"type":"string","default":"","description":"The component that generated the log.","example":"maas-micro-integration"},"loggerName":{"type":"string","default":"","description":"The name of the logger that recorded the log.","example":"com.MicroIntegrationLogger"},"stackTrace":{"type":"string","default":"","description":"The stack trace of the log, if available.","example":"org.springframework.beans.factory.BeanCreationNotAllowedException: Error creating bean"}}},"MicroIntegrationLogResponse":{"type":"object","default":null,"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/MicroIntegrationLogContainerMicroIntegrationLog"}}}},"MicroIntegrationV2ListResult":{"type":"object","default":null,"properties":{"createdBy":{"type":"string","default":"","description":"The unique identifier representing the user who created the Micro-Integration.","example":"4f0awkmmtna","readOnly":true},"createdTime":{"type":"string","format":"date-time","default":"","description":"The time that the Micro-Integration was created, in ISO 8601 date/time format.","example":"2023-06-24T15:30:00","readOnly":true},"updatedBy":{"type":"string","default":"","description":"The unique identifier representing the user who last updated the Micro-Integration.","example":"4f0awkmmtna","readOnly":true},"updatedTime":{"type":"string","format":"date-time","default":"","description":"The time of the last update that was performed on the Micro-Integration, in ISO 8601 date/time format.","example":"2023-06-24T15:30:00","readOnly":true},"id":{"type":"string","default":"","description":"The unique identifier of the Micro-Integration.","example":"123abc789","readOnly":true},"environmentId":{"type":"string","default":"","description":"The unique identifier of the environment associated with the Micro-Integration.","example":"456abc789","readOnly":true},"name":{"type":"string","default":"","description":"The name of the Micro-Integration.","example":"My-First-Micro-Integration"},"description":{"type":"string","default":"","description":"The description of the Micro-Integration.","example":"My first Micro-Integration that consumes events from my external system."},"microIntegrationType":{"type":"string","default":"","description":"The type of Micro-Integration. You can determine the types using <a href=\"getmicrointegrationtypes\">Get a list of Micro-Integration types</a>.","example":"awssns"},"direction":{"type":"string","default":"","description":"<p>The direction that data flows through the  Micro-Integration. The directions are:</p><ul><li><code>source</code>-A source Micro-Integration is where data flows from the event broker service through the Micro-Integration to the external system.</li><li><code>target</code>-A target Micro-Integration is where data flows from the  external system through the Micro-Integration to the event broker service.</li></ul>","enum":["source","target","processor"],"example":"target"},"version":{"type":"string","default":"","description":"<p>The version that of the Micro-Integration type being used.</p>","example":"1.0.0"},"state":{"type":"string","default":"","description":"<p>The state of the Micro-Integration, each of which are described below:</p><ul><li><code>notdeployed</code>-A Micro-Integration starts in the Not Deployed state when it's first created. In the Not Deployed state, data does not flow between your external system and the event broker service.</li><li><code>deploying</code>-A transient state that indicates that the Micro-Integration is in the process of being deployed.</li><li><code>running</code>-In the Running state, data flows between your external system and the event broker service.</li><li><code>undeploying</code>-A transient state that indicates that the Micro-Integration is in the process of being undeployed.</li><li><code>error</code>-An error condition occurred with the Micro-Integration and recovery is not possible. The reasons for the errors are displayed in the error text.</li><li><code>down</code>-If an error condition occurs with a Micro-Integration and recovery is not possible, the Micro-Integration moves to the Down state. When you view the Micro-Integration, the reasons for the errors are displayed in the error text.</li></ul>","enum":["notdeployed","deploying","running","undeploying","error","down"],"example":"notdeployed"},"stateLoading":{"type":"boolean","default":false,"description":"<p>Whether or not the state is currently being asynchronously retrieved. A subsequent API call should reflect the updated state.</p>","example":true},"brokerId":{"type":"string","default":"","description":"The unique identifier of the event broker service associated to the Micro-Integration.","example":"broker456"},"lastDeploymentId":{"type":"string","default":"","description":"The most recent deployment id for the Micro-Integration."},"configurationValues":{"type":"object","additionalProperties":{},"default":"","description":"<p>The configuration details for the Micro-Integration. For example, the configuration values specified for Amazon SNS is a follows:</p>\n<pre>\n{\n  \"awssns-vendor\": {\n    \"region\": \"YOUR_AWS_REGION\",\n    \"authentication\": {\n      \"accessKey\": \"YOUR_AWS_ACCESS_KEY\",\n      \"secretKey\": \"YOUR_AWS_SECRET_KEY\"\n    }\n  },\n  \"awssns-solace\": {\n    \"authentication\": {\n      \"host\": \"YOUR_SOLACE_BROKER_HOST_URL\",\n      \"messageVpn\": \"YOUR_SOLACE_BROKER_MESSAGE_VPN\",\n      \"clientPassword\": \"YOUR_SOLACE_BROKER_CLIENT_PASSWORD\",\n      \"clientUsername\": \"YOUR_SOLACE_BROKER_CLIENT_USERNAME\"\n    }\n  }\n}\n</pre>\n","example":{"awssns-vendor":{"region":"YOUR_AWS_REGION","authentication":{"accessKey":"YOUR_AWS_ACCESS_KEY","secretKey":"YOUR_AWS_SECRET_KEY"}},"awssns-solace":{"authentication":{"host":"YOUR_SOLACE_BROKER_HOST_URL","messageVpn":"YOUR_SOLACE_BROKER_MESSAGE_VPN","clientPassword":"YOUR_SOLACE_BROKER_CLIENT_PASSWORD","clientUsername":"YOUR_SOLACE_BROKER_CLIENT_USERNAME"}}}},"deploymentDetails":{"$ref":"#/components/schemas/MicroIntegrationDeployment","default":"","description":"The details of the most recent deployment for the Micro-Integration. This portion of the response that is only included if the <code>'include=deployment'</code> query parameter is set to <code>true</code>."},"flows":{"type":"array","default":"","description":"The list of flows associated with this Micro-Integration.  This portion of the response that is only included if the <code>'include=flows'</code> query parameter is present.","items":{"$ref":"#/components/schemas/MicroIntegrationFlow"}},"matchedFlowIds":{"type":"array","default":"","description":"List of flow IDs that matched the search criteria when using the 'nameContains' filter. This field is only present when the micro-integration was returned because a flow name matched the search string, but the micro-integration name itself did not match. If the micro-integration name matched the search, this field will be null. This field is independent of the 'include' query parameter.","example":["flow-id-1","flow-id-2"],"items":{"type":"string"},"readOnly":true},"type":{"type":"string","default":"","description":"The type of object for informational purposes.","example":"microIntegration","readOnly":true}}},"MicroIntegrationsV2Response":{"type":"object","default":null,"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/MicroIntegrationV2ListResult"}},"meta":{"$ref":"#/components/schemas/meta"}}},"MicroIntegrationTypesResponse":{"type":"object","default":null,"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/MicroIntegrationType"}},"meta":{"$ref":"#/components/schemas/meta"}}},"MicroIntegrationFunction":{"type":"object","default":null,"properties":{"id":{"type":"string","default":"","description":"The unique identifier representing the Micro-Integration function.","example":"joinString","readOnly":true},"name":{"type":"string","default":"","description":"The name of the Micro-Integration function.","example":"Join","readOnly":true},"shortDescription":{"type":"string","default":"","description":"The short description of the Micro-Integration function.","example":"Joins an array of strings with the specified delimiter.","readOnly":true},"longDescription":{"type":"string","default":"","description":"The detailed description of the Micro-Integration function.","example":"Joins an array of strings with the specified delimiter. The delimiter can be multiple characters. If an element of the array is null, then the string \"null\" is added to the result.","readOnly":true},"category":{"type":"string","default":"","description":"The category of the function","example":"Conversion","readOnly":true},"parameters":{"type":"array","default":"","description":"The details of input parameters supported by the Micro-Integration function.","example":[{"name":"delimiter","dataType":"String"},{"name":"inputs","dataType":"String[]"}],"items":{"$ref":"#/components/schemas/Parameter"},"readOnly":true},"returnValue":{"$ref":"#/components/schemas/ReturnValue","default":"","description":"The return type of the output produced by the Micro-Integration function.","example":{"dataType":"String"},"readOnly":true},"inputlessFunction":{"type":"boolean"}}},"MicroIntegrationFunctionsResponse":{"type":"object","default":null,"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/MicroIntegrationFunction"}}}},"Parameter":{"type":"object","default":null,"description":"The details of input parameters supported by the Micro-Integration function.","properties":{"name":{"type":"string","default":"","description":"The name of the parameter.","example":"inputs","readOnly":true},"description":{"type":"string","default":"","description":"The description of the parameter.","example":"The delimiter used for the function.","readOnly":true},"dataType":{"type":"string","default":"","description":"The data type of the parameter.","example":"String[]","readOnly":true},"parameterType":{"type":"string","default":"","description":"The type of parameter that includes: <ul><li><code>dataField</code>-A field representing data present in the message payload.</li><li><code>constant</code>-Values that do not change.</li></ul>","enum":["dataField","constant"],"readOnly":true}},"readOnly":true},"ReturnValue":{"type":"object","default":null,"description":"The resulting output produced by the Micro-Integration function.","properties":{"dataType":{"type":"string","default":"","description":"The data type of the output parameter.","example":"String","readOnly":true},"description":{"type":"string","default":"","description":"The description of the output parameter.","example":"The string representation of the input number","readOnly":true}},"readOnly":true},"MicroIntegrationTemplate":{"type":"object","properties":{"id":{"type":"string","default":"","description":"The unique identifier representing the Micro-Integration template.","example":"awssns-solace","readOnly":true},"templateType":{"type":"string","default":"","description":"The type of the Micro-Integration template. Some common examples are as follows:\n    <ul>\n        <li><code>workflow</code>-A template that describes the streams of data that flow between an event broker service and\n         the vendor-specific external system. The data can include header and payload transformations.</li>\n        <li><code>solace</code>-A template that contains the configuration for how to connect to the event broker service.\n        This includes authentication details and destination details</li>\n        <li><code>solaceSource</code>-A template containing the configuration needed to produce events in an event mesh for\n         use in a source Micro-Integration.</li>\n        <li><code>solaceTarget</code>-A template containing the configuration needed to consume events from an event mesh\n         as an output of a target Micro-Integration.</li>\n        <li><code>vendor</code>-A template containing configuration outlining how to connect to the vendor-specific external system.\n        This information often includes sensitive account information and connection details.</li>\n        <li><code>vendorSource</code>-A template containing the configuration needed to consume events from the vendor-specific system for use\n         in a source Micro-Integration.</li>\n        <li><code>vendorTarget</code>-A template containing the configuration needed to produce events in the vendor-specific system as an output of\n         a target Micro-Integration.</li>\n    </ul>\n","example":"solace","readOnly":true},"schema":{"type":"array","default":"","description":"The JSON schema describing the fields that can be supplied as part of the given template. The format of this schema adheres\nto the <a href=\"https://json-schema.org/specification\">JSON Schema specification</a>. The schema describes whether fields are: mandatory,\nfollow a specific format, or depend on any other fields in the schema. The following is an example:\n<pre>\n[\n    {\n        \"id\": \"awssns-solace\",\n        \"template\": {\n            \"type\": \"object\",\n            \"properties\": {\n                \"authentication\": {\n                    \"title\": \"Authentication\",\n                    \"unevaluatedProperties\": false,\n                    \"oneOf\": [\n                        {\n                            \"type\": \"object\",\n                            \"properties\": {\n                                \"host\": {\n                                    \"type\": \"string\",\n                                    \"title\": \"Host\",\n                                    \"description\": \"The host URI of the event broker, such as tcps://myhost:55555.\",\n                                    \"x-configurationProperty\": {\n                                        \"key\": \"solace.java.host\"\n                                    }\n                                },\n                                \"messageVpn\": {\n                                    \"type\": \"string\",\n                                    \"title\": \"Message VPN\",\n                                    \"description\": \"The name of the Message VPN to connect to on the event broker service.\",\n                                    \"maxLength\": 32,\n                                    \"x-configurationProperty\": {\n                                        \"key\": \"solace.java.msg-vpn\"\n                                    }\n                                },\n                                \"clientUsername\": {\n                                    \"type\": \"string\",\n                                    \"title\": \"Client Username\",\n                                    \"description\": \"The username to authenticate with the event broker service to establish a\n                                     messaging connection.\",\n                                    \"maxLength\": 189,\n                                    \"x-configurationProperty\": {\n                                        \"key\": \"solace.java.client-username\"\n                                    }\n                                },\n                                \"clientPassword\": {\n                                    \"type\": \"string\",\n                                    \"title\": \"Client Password\",\n                                    \"description\": \"The password to authenticate with the event broker service to establish a\n                                     messaging connection.\",\n                                    \"maxLength\": 128,\n                                    \"x-sensitivity\": \"SECRET\",\n                                    \"x-configurationProperty\": {\n                                        \"key\": \"solace.java.client-password\"\n                                    }\n                                }\n                            },\n                            \"required\": [\n                                \"host\",\n                                \"messageVpn\",\n                                \"clientUsername\",\n                                \"clientPassword\"\n                            ],\n                            \"title\": \"PubSub+ Basic Authentication\"\n                        }\n                    ]\n                }\n            },\n            \"required\": [\n                \"authentication\"\n            ],\n            \"unevaluatedProperties\": false,\n            \"title\": \"PubSub+ Binder\"\n        }\n    }\n]\n</pre>\n","example":"[\n    {\n        \"id\": \"awssns-solace\",\n        \"template\": {\n            \"type\": \"object\",\n            \"properties\": {\n                \"authentication\": {\n                    \"title\": \"Authentication\",\n                    \"unevaluatedProperties\": false,\n                    \"oneOf\": [\n                        {\n                            \"type\": \"object\",\n                            \"properties\": {\n                                \"host\": {\n                                    \"type\": \"string\",\n                                    \"title\": \"Host\",\n                                    \"description\": \"The host URI of the event broker, such as tcps://myhost:55555.\",\n                                    \"x-configurationProperty\": {\n                                        \"key\": \"solace.java.host\"\n                                    }\n                                },\n                                \"messageVpn\": {\n                                    \"type\": \"string\",\n                                    \"title\": \"Message VPN\",\n                                    \"description\": \"The name of the Message VPN to connect to on the event broker service.\",\n                                    \"maxLength\": 32,\n                                    \"x-configurationProperty\": {\n                                        \"key\": \"solace.java.msg-vpn\"\n                                    }\n                                },\n                                \"clientUsername\": {\n                                    \"type\": \"string\",\n                                    \"title\": \"Client Username\",\n                                    \"description\": \"The username to authenticate with the event broker service\n                                     to establish a messaging connection.\",\n                                    \"maxLength\": 189,\n                                    \"x-configurationProperty\": {\n                                        \"key\": \"solace.java.client-username\"\n                                    }\n                                },\n                                \"clientPassword\": {\n                                    \"type\": \"string\",\n                                    \"title\": \"Client Password\",\n                                    \"description\": \"The password to authenticate with the event broker service to establish a\n                                     messaging connection.\",\n                                    \"maxLength\": 128,\n                                    \"x-sensitivity\": \"SECRET\",\n                                    \"x-configurationProperty\": {\n                                        \"key\": \"solace.java.client-password\"\n                                    }\n                                }\n                            },\n                            \"required\": [\n                                \"host\",\n                                \"messageVpn\",\n                                \"clientUsername\",\n                                \"clientPassword\"\n                            ],\n                            \"title\": \"PubSub+ Basic Authentication\"\n                        }\n                    ]\n                }\n            },\n            \"required\": [\n                \"authentication\"\n            ],\n            \"unevaluatedProperties\": false,\n            \"title\": \"PubSub+ Binder\"\n        }\n    }\n]","items":{},"readOnly":true,"uniqueItems":true},"optional":{"type":"boolean","default":false,"description":"Whether this template is optional","example":true,"readOnly":true},"type":{"type":"string","default":"","description":"The type of object for informational purposes.","example":"microIntegrationTemplate","readOnly":true}}},"MicroIntegrationTemplatesResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/MicroIntegrationTemplate"}},"meta":{"$ref":"#/components/schemas/meta"}}}},"securitySchemes":{"APIToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}}}